Page MenuHomeFreeBSD

Update to Subsonic 6 and drop maintainer ship.
ClosedPublic

Authored by jlh on Jul 2 2017, 10:45 AM.

Details

Summary

Review for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=213298

Regarding the license: the Subsonic decided to switch to proprietary license
(http://forum.subsonic.org/forum/viewtopic.php?f=4&t=16604#p71128) but has
done a poor job in cleaning up the source tree to reflect so.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 10248
Build 10666: arc lint + arc unit

Event Timeline

jlh created this revision.Jul 2 2017, 10:45 AM
jlh updated this revision to Diff 30564.Jul 8 2017, 7:57 AM

Update license comment as in D11444.

adamw accepted this revision.Jul 21 2017, 9:01 PM
adamw added a subscriber: adamw.

Actually putting in license terms is certainly preferable, but in lieu of that setting LICENSE to NONE seems reasonable.

As long as this passes poudriere testport and portlint it looks good to me.

However if there's a version change shouldn't there at least be a distinfo change?

Oh, I missed the link to the bug which has the full diff and poudriere logs.

Approved.

This revision was automatically updated to reflect the committed changes.